#!/bin/bash

# Copyright (C) 2004-2008 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-multiterminal
#
# le-multiterminal is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

# This script fixes the screen resolution. This is needed because the userful
# multiplier software might not do it right for some old machines.
# It is supposed to run only once, so the user might choose to set a different
# resolution manually.

defaultResolution() {
    resolution=""

    mobo_name="$(dmidecode | grep -A12 "^Base" |
        grep "Product Name: " | cut -d':' -f2 | sed -e 's/^ //g')"

    if [[ "$mobo_name" == "POS-MIG31AG" ]] && lspci | egrep -q \
        'Display controller:.+TN-502|Display
        controller:.+SM501'; then
            # Hardware is 832008
            resolution='1360x768'

    elif [[ "$mobo_name" == G41M* ]] && lspci | grep -q \
        'VGA compatible controller: Intel Corporation
        4 Series Chipset Integrated Graphics Controller
        (rev 03)' ; then
            # Hardware is 712010 $mobo_name == 'G41M-S'
            resolution='1360x768'
    fi

    echo $resolution
}

resolution=$(defaultResolution)
if [[ -n "$resolution" ]]; then
    #userful display -r all $resolution 60
    echo $resolution
fi

exit 0
