#!/bin/bash
# This is the last minute updates for ThinNetworks mandatory device support.
# There would be better way for it. Bug 8778

export DBUS_SESSION_BUS_ADDRESS=`cat /var/run/userful/dbus_addr`
LOG=/var/log/userful-udev.log

# XXX Assumption XXX
# - display id is the same as the number of mandatory devices.
# - station id is ((number of mandatory devices - 1))
dev_cnt=`lsusb -vv | grep "ThinNetworks" | wc -l`
displayid=$dev_cnt
stationid=$((displayid-1))

#Check if target station is already configured with keyboard.
kbd_dev=`qdbus com.userful.DB /com/userful/DB com.userful.DB.StationGetKeyboardDevices $stationid`
if [ "$kbd_dev" == "InvalidStation" ]; then
    # invalid stationid
    exit 0
fi

# Stop the "Too Many station" screen
# - qdbus requires instrospection
dbus-send --session --print-reply --dest=com.userful.ControlServer --type=method_call \
      /com/userful/ControlServer/DisplayManager \
      com.userful.ControlServer.DisplayManager.Stop \
      string:":$displayid"  string:"deactivate-station"

if [ "$kbd_dev" == "" ]; then
    # Start PFK
    qdbus com.userful.keyscan / com.userful.keyscan.DBusInterface.configureKeyboard \
          $displayid $stationid
fi
