#!/bin/sh
# Copyright (c) 2013 Userful Corporation. All rights reserved.
# http://www.userful.com/

# Script to read the activation code from a given file and retrieve the license from key.userful.com
# This script is for OEM to retrieve license when first boot up.
# This script need to be added to /etc/rc.local usually.
# For example: userful-install-oem-license.sh /etc/OEM-activation-code

activation_code_file=/etc/OEM-activation-code

if [ -n "$1" ]; then
	activation_code_file="$1"
fi

if [ ! -f $activation_code_file ]; then
	echo "Can't find the activation code file $activation_code_file"
	exit 1
fi

activation_code=`head -n 1 $activation_code_file`

userful license get station_number=0 activation_code=$activation_code

if [ $? -eq 0 ]; then
	rm -f $activation_code_file
	echo "The activation code file $activation_code_file was removed"
fi

